package pegasus.mapreduce.common.coordination;

import org.apache.hadoop.mapreduce.TaskAttemptContext;
import pegasus.mapreduce.common.Constants;

public class HadoopCounter implements Counter<Long> {
  private final org.apache.hadoop.mapreduce.Counter counter;

  public HadoopCounter(final TaskAttemptContext context, final String counterName) {
    counter = context.getCounter(Constants.CounterGroup, counterName);
  }

  @Override
  public void update(Long value) {
    counter.increment(value);
  }

  @Override
  public Long getMinimum() {
    throw new RuntimeException("Not supported operation");
  }

  @Override
  public Long getMaximum() {
    throw new RuntimeException("Not supported operation");
  }

  @Override
  public Long getSum() {
    throw new RuntimeException("Not supported operation");
  }
}
