package pegasus.spark.common.io

import pegasus.spark.common.Constants
import pegasus.spark.common.types.BitStrings

class BitStringsVectorReader(path: String) extends VectorReader[BitStrings](path) {
  private val value = new BitStrings()

  override protected def nextValue(): BitStrings = {
    var k = 0
    while (k < Constants.DefaultNumBitstrings) {
      value.setBit(k, dataIn.readLong())
      k += 1
    }

    value
  }
}
