package pegasus.spark.common.io

import pegasus.spark.common.Constants
import pegasus.spark.common.types.BitStrings

class BitStringsVectorWriter(path: String) extends VectorWriter[BitStrings](path) {
  override protected def writeValue(v: BitStrings): Unit = {
    var k = 0

    while (k < Constants.DefaultNumBitstrings) {
      dataOut.writeLong(v.getBit(k))
      k += 1
    }
  }
}
