package pegasus.spark.common.io

class DoubleExternalGrouper(taskId: Int, numCores: Int) extends ExternalGrouper[Double](taskId, 8, numCores) {
  init(1.0)

  override protected def buildValueReader(path: String): FileReader[Double] = new DoubleFileReader(path)

  override protected def buildValueWriter(path: String): FileWriter[Double] = new DoubleFileWriter(path)
}
