package pegasus.spark.common.io

class IntExternalGrouper(taskId: Int, numCores: Int) extends ExternalGrouper[Int](taskId, 4, numCores) {
  init(1)

  override protected def buildValueReader(path: String): FileReader[Int] = new IntFileReader(path)

  override protected def buildValueWriter(path: String): FileWriter[Int] = new IntFileWriter(path)
}
