package pegasus.spark.common.io

class LongDoubleExternalGrouper(taskId: Int, numCores: Int)
  extends ExternalGrouper[(Long, Double)](taskId, 16, numCores) {
  override protected def buildValueReader(path: String) = new LongDoublePairReader(path)

  override protected def buildValueWriter(path: String) = new LongDoublePairWriter(path)
}
