package pegasus.spark.common.serialization

import com.esotericsoftware.kryo.Kryo
import org.apache.spark.serializer.KryoRegistrator
import pegasus.spark.common.types.UnweightedMatrixBlock

class PMVRegistrator extends KryoRegistrator {
  override def registerClasses(kryo: Kryo): Unit = {
    kryo.register(classOf[UnweightedMatrixBlock], new UnweightedMatrixBlock.BlockSerializer)
  }
}
