package pegasus.mapreduce.common.cache;

import org.apache.hadoop.io.Writable;

import java.io.IOException;

public interface MatrixIterator<V extends Writable> extends AutoCloseable {
  boolean next() throws IOException;

  int currentCol();

  int numNonzeros();

  V currentRows();
}
