package pegasus.spark.common

object Constants {
  val MixingPrime = 1125899906842597L
  val InitArrayWritableSize = 1024
  val MemoryCheckInterval = 10000

  val ByteBufferSize = 65536

  val StatsPath = "_STATS"
  val SparseMatrixBlock = "sparse"
  val DenseMatrixBlock = "dense"
  val DenseVectorBlock = "dv"
  val IntermediateVectorBlock = "pv"

  val DoubleNonzeroThreshold = 1e-8

  val ConvergedAccumulator = "pmv-converged"

  val Infinite = Double.MaxValue / 2

  val DefaultNumBitstrings = 32
  val Phi = 0.77351
  val MaxIterations = 1024
}
