package pegasus.spark.common

import org.apache.spark.util.LongAccumulator

class MultiplicationContext(
  val currentIter: Int,
  val numVertices: Long,
  val numBlocks: Int,
  convergedAccum: LongAccumulator
) extends Serializable {
  def notifyChanged(): Unit = {
    convergedAccum.add(1)
  }
}
