package pegasus.spark.common

case class SubProblem(
  rootPath: String,
  isDense: Boolean,
  matBlockId: Int,
  numCols: Int,
  numRows: Int
) extends Serializable {
  val matBlockPath: String = if (isDense) {
    f"$rootPath/${Constants.DenseMatrixBlock}-$matBlockId%05d"
  } else {
    f"$rootPath/${Constants.SparseMatrixBlock}-$matBlockId%05d"
  }
}
