package pegasus.spark.common.io

class LongExternalGrouper(taskId: Int, numCores: Int) extends ExternalGrouper[Long](taskId, 8, numCores) {
  init(1L)

  override protected def buildValueReader(path: String): FileReader[Long] = new LongFileReader(path)

  override protected def buildValueWriter(path: String): FileWriter[Long] = new LongFileWriter(path)
}
