package pegasus.spark.common.partitioner

import org.apache.spark.Partitioner

class VertexPartitioner(numBlocks: Int) extends Partitioner {
  override def numPartitions: Int = numBlocks

  override def getPartition(key: Any): Int = (key.asInstanceOf[Long] % numBlocks).toInt
}
