package pegasus.spark.common.types

trait MatrixBlock[T] {
  def blockId: Int

  def +=(col: Int, deg: Int, rows: Array[T])

  def iterator(): MatrixIterator[T]

  def numCols: Int

  def numRows: Int
}
